
; Inter-Asterisk eXchange driver definition
;
;
; General settings, like port number to bind to, and
; an option address (the default is to bind to all
; local addresses).
;
[general]
;port=5036
;bindaddr=192.168.0.1
trunk=yes
;
; Set iaxcompat to yes if you plan to use layered 
; switches.  It incurs a small performance hit to enable it
;
iaxcompat=yes
;
; You may specify a global default AMA flag for iaxtel calls.  It must be
; one of 'default', 'omit', 'billing', or 'documentation'.  These flags
; are used in the generation of call detail records.
;
;amaflags=default
;
; You may specify a default account for Call Detail Records in addition
; to specifying on a per-user basis
;
;accountcode=lss0101
;
; Specify bandwidth of low, medium, or high to control which codecs are used
; in general.
;
bandwidth=high
;
; You can also fine tune codecs here using "allow" and "disallow" clauses
; with specific codecs.  Use "all" to represent all formats.
;
disallow=all                    ; Dis-Allow all codecs
;allow=GSM
allow=ULAW                      ; except for this list of Codecs
allow=ALAW
allow=G726
allow=ADPCM
allow=LPC10
allow=SPEEX
allow=ILBC
allow=ADPCM
;
; You can also adjust several parameters relating to the jitter
; buffer.  Specifically, you can provide a maximum jitter buffer,
; you can turn it off entirely, and you can specify an acceptable
; drop rate (per MEMORY_SIZE, by default 3 of 100).  Disabling the
; jitter buffer is generally recommended unless you are on a highly
; jittery network, since usually jitter buffering will cause you additional
; latency.  Finally, you can specify the maximum
; excess jitter buffer, which if exceeded, causes the jitter buffer to
; slowly shrink in order to improve latency.
;
jitterbuffer=no                 ; FYI, choppiness is usually NOT jitter
;dropcount=3
;maxjitterbuffer=500
;maxexcessbuffer=100
;
;trunkfreq=20			; How frequently to send trunk msgs (in ms)
;
;
; We can register with another IAX server to let him know where we are
; in case we have a dynamic IP address for example
;
; You can disable authentication debugging to reduce the amount of 
; debugging traffic.
;
;authdebug=no
;
; Finally, you can set values for your TOS bits to help improve 
; performance.  Valid values are:
;   lowdelay		-- Minimize delay
;   throughput		-- Maximize throughput
;   reliability		-- Maximize reliability
;   mincost		-- Minimize cost
;   none		-- No flags
;
tos=reliability
;
; Guest sections for unauthenticated connection attempts.  Just
; specify an empty secret, or provide no secret section.
; 
; Since we're not yet requiring authentication on the Collector's Net,
; this is the context where we receive our IAX calls from other collectors.
;
[guest]
type=user
context=incoming
sendani=yes
;
[iaxtel2]
;
; Backwards compatible entry for IAXtel pre-RSA
;
type=user
context=incoming
permit=0.0.0.0/0.0.0.0
;
;
